import conn from './database.js';

/**
 * Renvoie l'ID dans la BDD d'une source de donnée 
 * @param {String} source la source dont on veut récup l'id
 * @returns une promise qui renvoie l'id de la source
 */
export const getSourceId = (source) => {
    return new Promise((resolve, reject) => {
        const sql = "SELECT id from sources WHERE nom = ?";
        conn.query(sql, [source], (err, res) => {
            if(res.length == 0) {
                reject(new Error("Invalid source"))
            }else {
                resolve(res[0].id);
            }
        })
    })
}
